> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/blockchains-&-assets/set-asset-price",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Set asset price

> Set asset price for the given asset id. Returns the asset price response.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /assets/prices/{id}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /assets/prices/{id}:
    post:
      tags:
        - Blockchains & assets
      summary: Set asset price
      description: >
        Set asset price for the given asset id. Returns the asset price
        response.
      operationId: setAssetPrice
      parameters:
        - name: id
          in: path
          required: true
          description: The ID of the asset
          schema:
            type: string
          example: ETH
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetAssetPriceRequest'
      responses:
        '200':
          description: Asset price has been set successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetPriceResponse'
        '403':
          description: |
            - Tenant is not allowed to set rate. Error code: 1002.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetPriceForbiddenErrorResponse'
        '404':
          description: |
            - Currency not found. Error code 1001
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetPriceNotFoundErrorResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<AssetPriceResponse>> =
            fireblocks.blockchainsAssets.setAssetPrice(blockchainsAssetsApiSetAssetPriceRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<AssetPriceResponse>> response =
            fireblocks.blockchainsAssets().setAssetPrice(id,
            setAssetPriceRequest, idempotencyKey);
        - lang: Python
          source: >-
            response = fireblocks.blockchains_&_assets.set_asset_price(id,
            set_asset_price_request, idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    SetAssetPriceRequest:
      type: object
      properties:
        currency:
          type: string
          description: Currency (according to ISO 4217 currency codes)
          example: USD
        price:
          type: number
          description: Price in currency
          example: 3100
      required:
        - currency
        - price
    AssetPriceResponse:
      type: object
      properties:
        legacyId:
          type: string
          description: The ID of the asset
          example: ETH
        lastUpdateAt:
          type: number
          description: Time of last price update
          example: 1716898542
        currency:
          type: string
          description: Currency (according to ISO 4217 currency codes)
          example: USD
        price:
          type: number
          description: Price in currency
          example: 3500
        source:
          type: string
          description: Source of the price data
          example: PRIVATE
          enum:
            - PUBLIC
            - PRIVATE
      required:
        - legacyId
        - lastUpdateAt
        - currency
        - price
        - source
    AssetPriceForbiddenErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Forbidden error message
          example: Tenant is not allowed to update asset
        code:
          type: number
          description: Error code
          example: 3002
      required:
        - message
        - code
    AssetPriceNotFoundErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Not found error message
          example: Currency not found
        code:
          type: number
          description: Error code
          example: 3001
      required:
        - message
        - code
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````